# FoundationClasses
TKernel
Storage

# Storage_ArrayOfCallBack Class Reference

`#include <Storage_ArrayOfCallBack.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Storage_ArrayOfCallBack (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Storage_ArrayOfCallBack (const Handle(Storage_CallBack)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(Storage_CallBack)&V)
Standard_EXPORT void | Destroy ()
| ~Storage_ArrayOfCallBack ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const Storage_ArrayOfCallBack & | Assign (const Storage_ArrayOfCallBack &Other)
const Storage_ArrayOfCallBack & | operator= (const Storage_ArrayOfCallBack &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(Storage_CallBack)&Value)
const Handle_Storage_CallBack & | Value (const Standard_Integer Index) const
const Handle_Storage_CallBack & | operator() (const Standard_Integer Index) const
Handle_Storage_CallBack & | ChangeValue (const Standard_Integer Index)
Handle_Storage_CallBack & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | Storage_ArrayOfCallBack (const Storage_ArrayOfCallBack &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT Storage_ArrayOfCallBack::Storage_ArrayOfCallBack | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Storage_ArrayOfCallBack::Storage_ArrayOfCallBack | ( | const Handle(Storage_CallBack)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Storage_ArrayOfCallBack::~Storage_ArrayOfCallBack | ( |  | ) | `[inline]`

Standard_EXPORT Storage_ArrayOfCallBack::Storage_ArrayOfCallBack | ( | const Storage_ArrayOfCallBack & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const Storage_ArrayOfCallBack& Storage_ArrayOfCallBack::Assign | ( | const Storage_ArrayOfCallBack & | Other | ) |

Handle_Storage_CallBack& Storage_ArrayOfCallBack::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Storage_ArrayOfCallBack::Destroy | ( |  | ) |

Standard_EXPORT void Storage_ArrayOfCallBack::Init | ( | const Handle(Storage_CallBack)& | V | ) |

Standard_Boolean Storage_ArrayOfCallBack::IsAllocated | ( |  | ) | const

Standard_Integer Storage_ArrayOfCallBack::Length | ( |  | ) | const

Standard_Integer Storage_ArrayOfCallBack::Lower | ( |  | ) | const

void Storage_ArrayOfCallBack::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Storage_ArrayOfCallBack::operator new | ( | size_t | size | ) | `[inline]`

void* Storage_ArrayOfCallBack::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_Storage_CallBack& Storage_ArrayOfCallBack::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_Storage_CallBack& Storage_ArrayOfCallBack::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const Storage_ArrayOfCallBack& Storage_ArrayOfCallBack::operator= | ( | const Storage_ArrayOfCallBack & | Other | ) | `[inline]`

void Storage_ArrayOfCallBack::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(Storage_CallBack)& | Value
| ) |

Standard_Integer Storage_ArrayOfCallBack::Upper | ( |  | ) | const

const Handle_Storage_CallBack& Storage_ArrayOfCallBack::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean Storage_ArrayOfCallBack::isAllocated `[private]`

Standard_Integer Storage_ArrayOfCallBack::myLowerBound `[private]`

Standard_Address Storage_ArrayOfCallBack::myStart `[private]`

Standard_Integer Storage_ArrayOfCallBack::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- Storage_ArrayOfCallBack.hxx